gtk.CellEditable
Prev | The gtk Class Reference | Next

## gtk.CellEditable

gtk.CellEditable — an interface for editing a TreeView cell

## Synopsis

    class gtk.CellEditable(gobject.GInterface):
        def start_editing(event)
        def editing_done()
        def remove_widget()

## gtk.CellEditable Properties

"editing-canceled" | Read/Write | If `True` the editing on the cell has been canceled. This property is available in PyGTK 2.22 and above.

## gtk.CellEditable Signal Prototypes

"editing-done" | `def callback(`celleditable`, `user_param1`, `...`)`
"remove-widget" | `def callback(`celleditable`, `user_param1`, `...`)`

## Description

The `gtk.CellEditable` is an interface that provides editing of a cell in a `gtk.TreeView` cell.

## Methods

### gtk.CellEditable.start_editing

        def start_editing(event)

`event` : | A `gtk.gdk.Event`, or `None`

The `start_editing`() method begins the editing on a `cell_editable` widget that has been reparented over the treeview cell. `event` is the `gtk.gdk.Event` that began the editing process. If the editing was initiated through programmatic means, `event` may be `None`, .

### gtk.CellEditable.editing_done

        def editing_done()

The `editing_done`() method emits the "editing_done" signal that notifies the cell renderer to update it's value from the cell.

### gtk.CellEditable.remove_widget

        def remove_widget()

The remove_widget() method emits the "remove_widget" signal that indicates that the cell is finished editing, and the celleditable widget may now be destroyed.

## Signals

### The "editing-done" gtk.CellEditable Signal

        def callback(celleditable, user_param1, ...)

`celleditable` : | the celleditable that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "editing-done" signal is emitted when the `editing_done`() method is called.

### The "remove-widget" gtk.CellEditable Signal

        def callback(celleditable, user_param1, ...)

`celleditable` : | the celleditable that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "remove-widget" signal is emitted when the cellrenderer for the treeview cell has retrieved the edited information and the celleditable widget can be destroyed.

Prev | Up | Next
gtk.Calendar | Home | gtk.CellLayout